import { createContext } from 'react';
import { DigitalrockAPi } from './DigitalrockApi';

/**
 * Creates a Context that is accessible to all nodes wrapped in the context provider
 * @return {React.Context}
 */
export const Context = createContext<{
  api: DigitalrockAPi;

  title: string;
  setTitle: (title: string) => void;
}>({
  api: new DigitalrockAPi(),

  title: '',
  setTitle: () => {
    return;
  },
});
